## r-bioc-pwmenrich 4.24.2

=== DESCRIPTION ===
Package: PWMEnrich
Imports: seqLogo, gdata, evd, BSgenome
Maintainer: Diego Diez <diego10ruiz@gmail.com>
License: LGPL (>= 2)
Title: PWM enrichment analysis
Type: Package
LazyLoad: yes
Author: Robert Stojnic, Diego Diez
Description: A toolkit of high-level functions for DNA motif scanning
        and enrichment analysis built upon Biostrings. The main
        functionality is PWM enrichment analysis of already known PWMs
        (e.g. from databases such as MotifDb), but the package also
        implements high-level functions for PWM scanning and
        visualisation. The package does not perform "de novo" motif
        discovery, but is instead focused on using motifs that are
        either experimentally derived or computationally constructed by
        other tools.
Version: 4.24.2
Date: 2015-09-25
Depends: methods, grid, BiocGenerics, Biostrings,
Suggests: MotifDb, BSgenome.Dmelanogaster.UCSC.dm3,
        PWMEnrich.Dmelanogaster.background, testthat, gtools, parallel,
        PWMEnrich.Hsapiens.background, PWMEnrich.Mmusculus.background,
        BiocStyle, knitr
Collate: 'AllDataClasses.R' 'AllGenerics.R' 'background.R' 'clover.R'
        'diff.R' 'misc.R' 'MotifEnrichmentResults-methods.R'
        'MotifEnrichmentReport-methods.R' 'options.R' 'plot.R'
        'PWMBackground-methods.R' 'PWM-methods.R' 'pwm.R' 'readData.R'
        'seqLogoSupp.R' 'similarity.R'
biocViews: MotifAnnotation, SequenceMatching, Software
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/PWMEnrich
git_branch: RELEASE_3_11
git_last_commit: f731ba2
git_last_commit_date: 2020-07-24
Date/Publication: 2020-07-24
NeedsCompilation: no
Packaged: 2020-07-24 22:22:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.24.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Jul 2020 09:06:49 +0200

r-bioc-pwmenrich (4.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 May 2020 10:49:43 +0200

r-bioc-pwmenrich (4.22.0-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 13:05:00 +0200

r-bioc-pwmenrich (4.22.0-1) unstable; urgency=medium

  * Initial release (closes: #954848)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 13:33:11 +0100

=== debian/control ===
Source: r-bioc-pwmenrich
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biostrings,
               r-bioc-seqlogo,
               r-cran-gdata,
               r-cran-evd,
               r-bioc-bsgenome
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
Homepage: https://bioconductor.org/packages/PWMEnrich/
Rules-Requires-Root: no

Package: r-bioc-pwmenrich
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: PWM enrichment analysis
 A toolkit of high-level functions for DNA motif scanning
 and enrichment analysis built upon Biostrings. The main
 functionality is PWM enrichment analysis of already known PWMs
 (e.g. from databases such as MotifDb), but the package also
 implements high-level functions for PWM scanning and
 visualisation. The package does not perform "de novo" motif
 discovery, but is instead focused on using motifs that are
 either experimentally derived or computationally constructed by
 other tools.

## r-bioc-pwmenrich 4.26.0

=== DESCRIPTION ===
Package: PWMEnrich
Type: Package
Title: PWM enrichment analysis
Version: 4.26.0
Date: 2015-09-25
Author: Robert Stojnic, Diego Diez
Maintainer: Diego Diez <diego10ruiz@gmail.com>
LazyLoad: yes
Description: A toolkit of high-level functions for DNA motif scanning
        and enrichment analysis built upon Biostrings. The main
        functionality is PWM enrichment analysis of already known PWMs
        (e.g. from databases such as MotifDb), but the package also
        implements high-level functions for PWM scanning and
        visualisation. The package does not perform "de novo" motif
        discovery, but is instead focused on using motifs that are
        either experimentally derived or computationally constructed by
        other tools.
License: LGPL (>= 2)
Depends: R (>= 3.5.0), methods, grid, BiocGenerics, Biostrings
Imports: seqLogo, gdata, evd, S4Vectors
Suggests: MotifDb, BSgenome, BSgenome.Dmelanogaster.UCSC.dm3,
        PWMEnrich.Dmelanogaster.background, testthat, gtools, parallel,
        PWMEnrich.Hsapiens.background, PWMEnrich.Mmusculus.background,
        BiocStyle, knitr
biocViews: MotifAnnotation, SequenceMatching, Software
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/PWMEnrich
git_branch: RELEASE_3_12
git_last_commit: 5544f38
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-28 02:37:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.26.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2020 21:09:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-bioc-seqlogo,
                r-cran-gdata,
                r-cran-evd,
-               r-bioc-bsgenome
+               r-bioc-s4vectors
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git

## r-bioc-pwmenrich 4.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.26.0
+Version: 4.30.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -16,8 +16,8 @@
         either experimentally derived or computationally constructed by
         other tools.
 License: LGPL (>= 2)
-Depends: R (>= 3.5.0), methods, grid, BiocGenerics, Biostrings
-Imports: seqLogo, gdata, evd, S4Vectors
+Depends: R (>= 3.5.0), methods, BiocGenerics, Biostrings
+Imports: grid, seqLogo, gdata, evd, S4Vectors
 Suggests: MotifDb, BSgenome, BSgenome.Dmelanogaster.UCSC.dm3,
         PWMEnrich.Dmelanogaster.background, testthat, gtools, parallel,
         PWMEnrich.Hsapiens.background, PWMEnrich.Mmusculus.background,
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_12
-git_last_commit: 5544f38
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 0cfd045
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-28 02:37:41 UTC; biocbuild
+Packaged: 2021-10-26 22:25:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.30.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 10:32:56 +0100

r-bioc-pwmenrich (4.28.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 12:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-gdata,
                r-cran-evd,
                r-bioc-s4vectors
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
 Homepage: https://bioconductor.org/packages/PWMEnrich/

## r-bioc-pwmenrich 4.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.30.0
+Version: 4.32.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_14
-git_last_commit: 0cfd045
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 0e672b1
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:25:33 UTC; biocbuild
+Packaged: 2022-04-26 21:43:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.32.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:41:49 +0200

## r-bioc-pwmenrich 4.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.32.0
+Version: 4.34.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_15
-git_last_commit: 0e672b1
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 01af84f
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:43:13 UTC; biocbuild
+Packaged: 2022-11-01 22:36:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.34.0-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:19:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-pwmenrich
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
+Homepage: https://bioconductor.org/packages/PWMEnrich/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-cran-gdata,
                r-cran-evd,
                r-bioc-s4vectors
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
-Homepage: https://bioconductor.org/packages/PWMEnrich/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-pwmenrich
 Architecture: all

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/PWMEnrich.html .*/PWMEnrich_(.*).tar.gz

## r-bioc-pwmenrich 4.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.34.0
+Version: 4.36.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_16
-git_last_commit: 01af84f
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: bdecda9
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 22:36:03 UTC; biocbuild
+Packaged: 2023-04-25 22:19:15 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.36.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 18:01:52 +0200

## r-bioc-pwmenrich 4.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.36.0
+Version: 4.38.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_17
-git_last_commit: bdecda9
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 5c2bd63
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:19:15 UTC; biocbuild
+Packaged: 2023-10-24 22:34:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.38.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:29:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
 Homepage: https://bioconductor.org/packages/PWMEnrich/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-pwmenrich 4.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.38.0
+Version: 4.40.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,9 +27,10 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_18
-git_last_commit: 5c2bd63
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: fc31a1e
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:34:05 UTC; biocbuild
+Packaged: 2024-05-01 05:26:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.40.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:47:42 +0200

r-bioc-pwmenrich (4.40.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 18:49:03 +0200

## r-bioc-pwmenrich 4.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: PWMEnrich
 Type: Package
 Title: PWM enrichment analysis
-Version: 4.40.0
+Version: 4.42.0
 Date: 2015-09-25
 Author: Robert Stojnic, Diego Diez
 Maintainer: Diego Diez <diego10ruiz@gmail.com>
@@ -27,10 +27,10 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/PWMEnrich
-git_branch: RELEASE_3_19
-git_last_commit: fc31a1e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: a3c28d2
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:26:53 UTC; biocbuild
+Packaged: 2024-10-30 02:16:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-pwmenrich (4.42.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:22:14 +0100

r-bioc-pwmenrich (4.42.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 09:26:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwmenrich.git
 Homepage: https://bioconductor.org/packages/PWMEnrich/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
